use std::process::Command;

use crate::config::Config;
use crate::result::MBGError;
use crate::result::MBGResult;

pub fn get_max_resolution() -> MBGResult<(i32, i32)> {
    let config = Config::get_props();
    let out = Command::new("sh")
        .arg("-c")
        .arg(config.screen_resolution_command.as_str())
        .output()?
        .stdout;

    let out = std::str::from_utf8(&out)?.trim();
    debug!("Screen resolution str: {}", out);

    let splitted = out
        .split('x')
        .map(|slice| slice.parse())
        .collect::<Result<Vec<_>, _>>()?;
    if splitted.len() != 2 {
        return Err(MBGError::ResolutionFormatErr(String::from(out)));
    }
    Ok((splitted[0], splitted[1]))
}
